--- title: "Get the vIPS Clusters Present in the Domain" slug: "get-the-vips-clusters-present-in-the-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-the-vips-clusters-present-in-the-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the vIPS Clusters Present in the Domain This URL retrieves all the vIPS clusters from the domain. ### Resource URL GET /cloud//cluster ### Request Parameters **URL Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `Domain_id` | Domain id | Number | Yes | **Payload Request Parameters** None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned: | Field Name | Description | Data Type | | --- | --- | --- | | `cloudCluster` | List of the controllers | Array | Details of fields in the objects under vIPS Cluster: | Field Name | Description | Data Type | | --- | --- | --- | | `id` | Cluster id | Number | | `domain` | Domain details | String | | `name` | Cluster name | String | | `description` | Cluster description | String | | `cloudConnector` | Controller name | String | | `subscription` | Subscription id for Azure controllers | String | | `sharedSecret` | Shared secret between the Manager and cluster | String | | `memberSensors` | Number of member Sensors | Number | | `lastUpdated` | Last updated time | String | ### Example **Request** GET [https:///sdkapi/cloud//connector](https://<NSM_IP>/sdkapi/cloud/<domain_id>/connector) **Response** ``` {        "cloudCluster":        [            {                "id": 101,                "domain": "My Company ( 0 )",                "name": "test",                "description": "",                "cloudConnector": "Cloud_Controller",                "sharedSecret": "********",                "memberSensors": 0,                "lastUpdated": "2017-03-23 10:25:42.0 ( admin )"                “subscription”: “subscription”            },            {                "id": 102,                "domain": "My Company ( 0 )",                "name": "Cloud_Cluster",                "description": "api updated",                "cloudConnector": "Cloud_Controller",                "sharedSecret": "********",                "memberSensors": 0,                "lastUpdated": "2017-03-23 10:38:29.0 ( admin )"            }        ]    } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message: internal server error | | 2 | 400 | 1105 | Invalid domain |